# kern_sig.c File Reference

`#include <ubixos/types.h>`
`#include <sys/sysproto.h>`
`#include <sys/thread.h>`
`#include <sys/kern_sig.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/endtask.h>`
`#include <lib/kmalloc.h>`
`#include <assert.h>`

Include dependency graph for kern_sig.c:

Go to the source code of this file.

## Functions

int | sigaction (struct thread *td, register struct sigaction_args *uap)
int | sigprocmask (register struct thread *td, struct sigprocmask_args *uap)

## Function Documentation

int sigaction | ( | struct thread * | td,
|  | register struct sigaction_args * | uap |
| ) |  |  |

Definition at line 39 of file kern_sig.c.

int sigprocmask | ( | register struct thread * | td,
|  | struct sigprocmask_args * | uap |
| ) |  |  |

Definition at line 43 of file kern_sig.c.